Bug 291121 - gimp crash
gimp crash
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gtk-nodoka-engine (Show other bugs)
rawhide
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Martin Sourada
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-14 11:56 EDT by Alexandru Ciobanu
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-31 10:36:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexandru Ciobanu 2007-09-14 11:56:41 EDT
Description of problem:
Gimp crashes when trying to create a new file and when trying to scale an
existing one.

Version-Release number of selected component (if applicable):
gimp-2.4.0-0.rc2.2.fc8
gtk2-2.11.6-9.fc8
libX11-1.1.2-2.fc8
xorg-x11-server-Xorg-1.3.0.0-23.fc8

How reproducible:
always

Steps to Reproduce:
1. Gimp->File->New

Additional info:
*** glibc detected *** gimp: munmap_chunk(): invalid pointer: 0x092a6410 ***
======= Backtrace: =========
/lib/libc.so.6(cfree+0x1bb)[0xcc171b]
/lib/libglib-2.0.so.0(g_free+0x31)[0x5981881]
/usr/lib/gtk-2.0/2.10.0/engines/libnodoka.so[0x3a9e16]
/usr/lib/gtk-2.0/2.10.0/engines/libnodoka.so[0x3a8093]
/usr/lib/libgtk-x11-2.0.so.0(gtk_paint_box+0xaa)[0x41272aa]
/usr/lib/libgtk-x11-2.0.so.0[0x40c9638]
/usr/lib/libgtk-x11-2.0.so.0[0x409ffc2]
/lib/libgobject-2.0.so.0[0x148749]
/lib/libgobject-2.0.so.0(g_closure_invoke+0x20c)[0x14a03c]
/lib/libgobject-2.0.so.0[0x15acf3]
/lib/libgobject-2.0.so.0(g_signal_emit_valist+0x68f)[0x15b98f]
/lib/libgobject-2.0.so.0(g_signal_emit+0x29)[0x15bd89]
/usr/lib/libgtk-x11-2.0.so.0[0x41d9888]
/usr/lib/libgtk-x11-2.0.so.0(gtk_container_propagate_expose+0x204)[0x3fef024]
/usr/lib/libgtk-x11-2.0.so.0[0x3fef076]
/usr/lib/libgtk-x11-2.0.so.0[0x413099a]
/usr/lib/libgtk-x11-2.0.so.0(gtk_container_forall+0x6b)[0x3fefc5b]
/usr/lib/libgtk-x11-2.0.so.0[0x3fefd63]
/usr/lib/libgtk-x11-2.0.so.0[0x409ffc2]
/lib/libgobject-2.0.so.0[0x148749]
/lib/libgobject-2.0.so.0(g_closure_invoke+0x20c)[0x14a03c]
/lib/libgobject-2.0.so.0[0x15acf3]
/lib/libgobject-2.0.so.0(g_signal_emit_valist+0x68f)[0x15b98f]
/lib/libgobject-2.0.so.0(g_signal_emit+0x29)[0x15bd89]
/usr/lib/libgtk-x11-2.0.so.0[0x41d9888]
/usr/lib/libgtk-x11-2.0.so.0(gtk_container_propagate_expose+0x204)[0x3fef024]
/usr/lib/libgtk-x11-2.0.so.0[0x3fef076]
/usr/lib/libgtk-x11-2.0.so.0[0x3fa5060]
/usr/lib/libgtk-x11-2.0.so.0(gtk_container_forall+0x6b)[0x3fefc5b]
/usr/lib/libgtk-x11-2.0.so.0[0x3fefd63]
/usr/lib/libgtk-x11-2.0.so.0[0x409ffc2]
/lib/libgobject-2.0.so.0[0x148749]
/lib/libgobject-2.0.so.0(g_closure_invoke+0x20c)[0x14a03c]
/lib/libgobject-2.0.so.0[0x15acf3]
/lib/libgobject-2.0.so.0(g_signal_emit_valist+0x68f)[0x15b98f]
/lib/libgobject-2.0.so.0(g_signal_emit+0x29)[0x15bd89]
/usr/lib/libgtk-x11-2.0.so.0[0x41d9888]
/usr/lib/libgtk-x11-2.0.so.0(gtk_container_propagate_expose+0x204)[0x3fef024]
/usr/lib/libgtk-x11-2.0.so.0[0x3fef076]
/usr/lib/libgtk-x11-2.0.so.0[0x413099a]
/usr/lib/libgtk-x11-2.0.so.0(gtk_container_forall+0x6b)[0x3fefc5b]
/usr/lib/libgtk-x11-2.0.so.0[0x3fefd63]
/usr/lib/libgtk-x11-2.0.so.0[0x409ffc2]
/lib/libgobject-2.0.so.0[0x148749]
/lib/libgobject-2.0.so.0(g_closure_invoke+0x20c)[0x14a03c]
/lib/libgobject-2.0.so.0[0x15acf3]
/lib/libgobject-2.0.so.0(g_signal_emit_valist+0x68f)[0x15b98f]
/lib/libgobject-2.0.so.0(g_signal_emit+0x29)[0x15bd89]
/usr/lib/libgtk-x11-2.0.so.0[0x41d9888]
/usr/lib/libgtk-x11-2.0.so.0(gtk_container_propagate_expose+0x204)[0x3fef024]
/usr/lib/libgtk-x11-2.0.so.0[0x3fef076]
/usr/lib/libgtk-x11-2.0.so.0[0x404e837]
/usr/lib/libgtk-x11-2.0.so.0(gtk_container_forall+0x6b)[0x3fefc5b]
/usr/lib/libgtk-x11-2.0.so.0[0x3fefd63]
/usr/lib/libgimpwidgets-2.0.so.0[0x6d74e1]
/usr/lib/libgtk-x11-2.0.so.0[0x409ffc2]
/lib/libgobject-2.0.so.0[0x148749]
/lib/libgobject-2.0.so.0(g_closure_invoke+0x20c)[0x14a03c]
/lib/libgobject-2.0.so.0[0x15acf3]
/lib/libgobject-2.0.so.0(g_signal_emit_valist+0x68f)[0x15b98f]
/lib/libgobject-2.0.so.0(g_signal_emit+0x29)[0x15bd89]
/usr/lib/libgtk-x11-2.0.so.0[0x41d9888]
/usr/lib/libgtk-x11-2.0.so.0(gtk_container_propagate_expose+0x204)[0x3fef024]
======= Memory map: ========
00110000-00111000 r-xp 00110000 00:00 0          [vdso]
00111000-00123000 r-xp 00000000 08:02 576619     /lib/libz.so.1.2.3
00123000-00124000 rwxp 00011000 08:02 576619     /lib/libz.so.1.2.3
00124000-0013f000 r-xp 00000000 08:02 576626     /usr/lib/libxcb.so.1.0.0
0013f000-00140000 rwxp 0001a000 08:02 576626     /usr/lib/libxcb.so.1.0.0
00141000-0017f000 r-xp 00000000 08:02 576623     /lib/libgobject-2.0.so.0.1400.0
0017f000-00180000 rwxp 0003e000 08:02 576623     /lib/libgobject-2.0.so.0.1400.0
00182000-00185000 r-xp 00000000 08:02 246310     /lib/libgmodule-2.0.so.0.1400.0
00185000-00186000 rwxp 00002000 08:02 246310     /lib/libgmodule-2.0.so.0.1400.0
00188000-0018c000 r-xp 00000000 08:02 576651     /usr/lib/libXfixes.so.3.1.0
0018c000-0018d000 rwxp 00003000 08:02 576651     /usr/lib/libXfixes.so.3.1.0
0018f000-001aa000 r-xp 00000000 08:02 576526     /lib/ld-2.6.90.so
001aa000-001ab000 r-xp 0001a000 08:02 576526     /lib/ld-2.6.90.so
001ab000-001ac000 rwxp 0001b000 08:02 576526     /lib/ld-2.6.90.so
001ae000-001b5000 r-xp 00000000 08:02 378135     /lib/librt-2.6.90.so
001b5000-001b6000 r-xp 00006000 08:02 378135     /lib/librt-2.6.90.so
001b6000-001b7000 rwxp 00007000 08:02 378135     /lib/librt-2.6.90.so
001b9000-001bd000 r-xp 00000000 08:02 576671     /lib/libgthread-2.0.so.0.1400.0
001bd000-001be000 rwxp 00003000 08:02 576671     /lib/libgthread-2.0.so.0.1400.0
001be000-001c0000 r-xp 00000000 08:02 576624     /usr/lib/libXau.so.6.0.0
001c0000-001c1000 rwxp 00001000 08:02 576624     /usr/lib/libXau.so.6.0.0
001c1000-001c6000 r-xp 00000000 08:02 576625     /usr/lib/libXdmcp.so.6.0.0
001c6000-001c7000 rwxp 00004000 08:02 576625     /usr/lib/libXdmcp.so.6.0.0
001c7000-001d1000 r-xp 00000000 08:02 330105     /lib/libnss_files-2.6.90.so
001d1000-001d2000 r-xp 00009000 08:02 330105     /lib/libnss_files-2.6.90.so
001d2000-001d3000 rwxp 0000a000 08:02 330105     /lib/libnss_files-2.6.90.so
001d3000-001d9000 r-xp 00000000 08:02 265567    
/usr/lib/gtk-2.0/modules/libatk-bridge.so
001d9000-001da000 rwxp 00005000 08:02 265567    
/usr/lib/gtk-2.0/modules/libatk-bridge.so
001da000-001db000 r-xp 00000000 08:02 7264       /usr/lib/gconv/ISO8859-1.so
001db000-001dc000 r-xp 00000000 08:02 7264       /usr/lib/gconv/ISO8859-1.so
001dc000-001dd000 rwxp 00001000 08:02 7264       /usr/lib/gconv/ISO8859-1.so
001dd000-001f2000 r-xp 00000000 08:02 576674     /lib/libnsl-2.6.90.so
001f2000-001f3000 r-xp 00014000 08:02 576674     /lib/libnsl-2.6.90.so
001f3000-001f4000 rwxp 00015000 08:02 576674     /lib/libnsl-2.6.90.so
001f4000-001f6000 rwxp 001f4000 00:00 0 
001f6000-00204000 r-xp 00000000 08:02 595804    
/usr/lib/gtk-2.0/modules/libgnomebreakpad.so
00204000-00205000 rwxp 0000d000 08:02 595804    
/usr/lib/gtk-2.0/modules/libgnomebreakpad.so
00205000-00254000 r-xp 00000000 08:02 595803    
/usr/lib/bug-buddy/libbreakpad.so.0.0.0
00254000-00255000 rwxp 0004f000 08:02 595803    
/usr/lib/bug-buddy/libbreakpad.so.0.0.0
00255000-00269000 r-xp 00000000 08:02 239877     /usr/lib/libelf-0.129.so
00269000-0026b000 rwxp 00013000 08:02 239877     /usr/lib/libelf-0.129.so
0026b000-002bc000 r-xp 00000000 08:02 374090     /usr/lib/gtk-2.0/modules/libgail.so
002bc000-002c0000 rwxp 00050000 08:02 374090     /usr/lib/gtk-2.0/modules/libgail.so
002c0000-00308000 r-xp 00000000 08:02 82066      /usr/lib/libspi.so.0.10.11
00308000-00312000 rwxp 00048000 08:02 82066      /usr/lib/libspi.so.0.10.11
00312000-0036c000 r-xp 00000000 08:02 14462      /usr/lib/libbonobo-2.so.0.0.0
0036c000-00376000 rwxp 00059000 08:02 14462      /usr/lib/libbonobo-2.so.0.0.0
00376000-0038a000 r-xp 00000000 08:02 373943    
/usr/lib/libbonobo-activation.so.4.0.0
0038a000-0038c000 rwxp 00014000 08:02 373943    
/usr/lib/libbonobo-activation.so.4.0.0
0038c000-00391000 r-xp 00000000 08:02 87932      /usr/lib/libXtst.so.6.1.0
00391000-00392000 rwxp 00004000 08:02 87932      /usr/lib/libXtst.so.6.1.0
0039b000-003a1000 r-xp 00000000 08:02 75575      /usr/lib/libgailutil.so.18.0.1
003a1000-003a2000 rwxp 00006000 08:02 75575      /usr/lib/libgailutil.so.18.0.1
003a2000-003b2000 r-xp 00000000 08:02 299037    
/usr/lib/gtk-2.0/2.10.0/engines/libnodoka.so
003b2000-003b3000 rwxp 0000f000 08:02 299037    
/usr/lib/gtk-2.0/2.10.0/engines/libnodoka.so
003b7000-003c2000 r-xp 00000000 08:02 91255      /lib/libgcc_s-4.1.2-20070821.so.1
003c2000-003c3000 rwxp 0000a000 08:02 91255      /lib/libgcc_s-4.1.2-20070821.so.1
00445000-00447000 r-xp 00000000 08:02 88839      /lib/libcap.so.1.10
00447000-00448000 rwxp 00002000 08:02 88839      /lib/libcap.so.1.10
00491000-004ce000 r-xp 00000000 08:02 576679     /lib/libdbus-1.so.3.4.0
004ce000-004cf000 rwxp 0003d000 08:02 576679     /lib/libdbus-1.so.3.4.0
00630000-0064c000 r-xp 00000000 08:02 227527     /usr/lib/libdbus-glib-1.so.2.1.0
0064c000-0064d000 rwxp 0001c000 08:02 227527     /usr/lib/libdbus-glib-1.so.2.1.0
0064f000-0069d000 r-xp 00000000 08:02 576692     /usr/lib/libORBit-2.so.0.1.0
0069d000-006a7000 rwxp 0004d000 08:02 576692     /usr/lib/libORBit-2.so.0.1.0
006a9000-007b9000 r-xp 00000000 08:02 130006    
/usr/lib/libgimpwidgets-2.0.so.0.400.0
007b9000-007bd000 rwxp 0010f000 08:02 130006    
/usr/lib/libgimpwidgets-2.0.so.0.400.0
00965000-00969000 r-xp 00000000 08:02 576721    
/usr/lib/libORBitCosNaming-2.so.0.1.0
00969000-0096a000 rwxp 00004000 08:02 576721    
/usr/lib/libORBitCosNaming-2.so.0.1.0
009d3000-009ea000 r-xp 00000000 08:02 65141      /usr/lib/libart_lgpl_2.so.2.3.19
009ea000-009eb000 rwxp 00016000 08:02 65141      /usr/lib/libart_lgpl_2.so.2.3.19
00a01000-00a1c000 r-xp 00000000 08:02 137031    
/usr/lib/libgdk_pixbuf-2.0.so.0.1106.0
00a1c000-00a1d000 rwxp 0001a000 08:02 137031    
/usr/lib/libgdk_pixbuf-2.0.so.0.1106.0
00a1f000-00a26000 r-xp 00000000 08:02 242056    
/usr/lib/libgimpthumb-2.0.so.0.400.0
00a26000-00a27000 rwxp 00006000 08:02 242056    
/usr/lib/libgimpthumb-2.0.so.0.400.0
00a3c000-00a6c000 r-xp 00000000 08:02 137100    
/usr/lib/libpangoft2-1.0.so.0.1800.1
00a6c000-00a6d000 rwxp 0002f000 08:02 137100    
/usr/lib/libpangoft2-1.0.so.0.1800.1
00a6f000-00aae000 r-xp 00000000 08:02 137099     /usr/lib/libpango-1.0.so.0.1800.1
00aae000-00ab0000 rwxp 0003e000 08:02 137099     /usr/lib/libpango-1.0.so.0.1800.1
00ab2000-00abb000 r-xp 00000000 08:02 137101    
/usr/lib/libpangocairo-1.0.so.0.1800.1
00abb000-00abc000 rwxp 00008000 08:02 137101    
/usr/lib/libpangocairo-1.0.so.0.1800.1
00abe000-00acb000 r-xp 00000000 08:02 63515     
/usr/lib/libgimpconfig-2.0.so.0.400.0
00acb000-00acc000 rwxp 0000c000 08:02 63515     
/usr/lib/libgimpconfig-2.0.so.0.400.0
00ace000-00ad3000 r-xp 00000000 08:02 195070     /usr/lib/libgimpmath-2.0.so.0.400.0
00ad3000-00ad4000 rwxp 00004000 08:02 195070     /usr/lib/libgimpmath-2.0.so.0.400.0
00ad6000-00ae0000 r-xp 00000000 08:02 80544     
/usr/lib/libgimpcolor-2.0.so.0.400.0
00ae0000-00ae1000 rwxp 0000a000 08:02 80544     
/usr/lib/libgimpcolor-2.0.so.0.400.0
00ae3000-00ae7000 r-xp 00000000 08:02 70095     
/usr/lib/libgimpmodule-2.0.so.0.400.0
00ae7000-00ae8000 rwxp 00003000 08:02 70095     
/usr/lib/libgimpmodule-2.0.so.0.400.0
00c25000-00c38000 r-xp 00000000 08:02 188678     /usr/lib/libgimpbase-2.0.so.0.400.0
00c38000-00c3a000 rwxp 00013000 08:02 188678     /usr/lib/libgimpbase-2.0.so.0.400.0
00c56000-00da5000 r-xp 00000000 08:02 576609     /lib/libc-2.6.90.so
00da5000-00da7000 r-xp 0014f000 08:02 576609     /lib/libc-2.6.90.so
00da7000-00da8000 rwxp 00151000 08:02 576609     /lib/libc-2.6.90.so
00da8000-00dab000 rwxp 00da8000 00:00 0 
00dad000-00dd4000 r-xp 00000000 08:02 576620     /lib/libm-2.6.90.so
00dd4000-00dd5000 r-xp 00026000 08:02 576620     /lib/libm-2.6.90.so
00dd5000-00dd6000 rwxp 00027000 08:02 576620     /lib/libm-2.6.90.so
00dd8000-00ddb000 r-xp 00000000 08:02 576610     /lib/libdl-2.6.90.so
00ddb000-00ddc000 r-xp 00002000 08:02 576610     /lib/libdl-2.6.90.so
00ddc000-00ddd000 rwxp 00003000 08:02 576610     /lib/libdl-2.6.90.so
00ddf000-00df4000 r-xp 00000000 08:02 576611     /lib/libpthread-2.6.90.so
00df4000-00df5000 r-xp 00014000 08:02 576611     /lib/libpthread-2.6.90.so
00df5000-00df6000 rwxp 00015000 08:02 576611     /lib/libpthread-2.6.90.so
00df6000-00df8000 rwxp 00df6000 00:00 0 
00dfa000-00dfb000 r-xp 00000000 08:02 576627     /usr/lib/libxcb-xlib.so.0.0.0
00dfb000-00dfc000 rwxp 00000000 08:02 576627     /usr/lib/libxcb-xlib.so.0.0.0
03ea2000-03f39000 r-xp 00000000 08:02 137102     /usr/lib/libgdk-x11-2.0.so.0.1106.0
03f39000-03f3c000 rwxp 00096000 08:02 137102     /usr/lib/libgdk-x11-2.0.so.0.1106.0
03f3e000-0433c000 r-xp 00000000 08:02 137103     /usr/lib/libgtk-x11-2.0.so.0.1106.0
0433c000-04342000 rwxp 003fe000 08:02 137103     /usr/lib/libgtk-x11-2.0.so.0.1106.0
04342000-04343000 rwxp 04342000 00:00 0 
04345000-04425000 r-xp 00000000 08:02 135384     /usr/lib/libstdc++.so.6.0.8
04425000-04429000 r-xp 000df000 08:02 135384     /usr/lib/libstdc++.so.6.0.8
04429000-0442a000 rwxp 000e3000 08:02 135384     /usr/lib/libstdc++.so.6.0.8
0442a000-04430000 rwxp 0442a000 00:00 0 
0594d000-05a15000 r-xp 00000000 08:02 576622     /lib/libglib-2.0.so.0.1400.0
05a15000-05a16000 rwxp 000c8000 08:02 576622     /lib/libglib-2.0.so.0.1400.0
05a18000-05b10000 r-xp 00000000 08:02 576628     /usr/lib/libX11.so.6.2.0
05b10000-05b13000 rwxp 000f8000 08:02 576628     /usr/lib/libX11.so.6.2.0
05b13000-05b14000 rwxp 05b13000 00:00 0 
05b16000-05b25000 r-xp 00000000 08:02 576647     /usr/lib/libXext.so.6.4.0
05b25000-05b26000 rwxp 0000e000 08:02 576647     /usr/lib/libXext.so.6.4.0
05b28000-05b47000 r-xp 00000000 08:02 576641     /lib/libexpat.so.1.5.2
05b47000-05b49000 rwxp 0001f000 08:02 576641     /lib/libexpat.so.1.5.2
05b4b000-05bd3000 r-xp 00000000 08:02 576640     /usr/lib/libfreetype.so.6.3.16
05bd3000-05bd7000 rwxp 00087000 08:02 576640     /usr/lib/libfreetype.so.6.3.16
05bd9000-05c00000 r-xp 00000000 08:02 576642     /usr/lib/libfontconfig.so.1.2.0
05c00000-05c08000 rwxp 00027000 08:02 576642     /usr/lib/libfontconfig.so.1.2.0
05c0a000-05c2f000 r-xp 00000000 08:02 576637     /usr/lib/libpng12.so.0.16.0
05c2f000-05c30000 rwxp 00024000 08:02 576637     /usr/lib/libpng12.so.0.16.0
05c32000-05c3a000 r-xp 00000000 08:02 576649     /usr/lib/libXi.so.6.0.0
05c3a000-05c3b000 rwxp 00007000 08:02 576649     /usr/lib/libXi.so.6.0.0
05cd1000-05cd3000 r-xp 00000000 08:02 576648     /usr/lib/libXinerama.so.1.0.0
05cd3000-05cd4000 rwxp 00001000 08:02 576648     /usr/lib/libXinerama.so.1.0.0
05cd6000-05cde000 r-xp 00000000 08:02 576643     /usr/lib/libXrender.so.1.3.0
05cde000-05cdf000 rwxp 00007000 08:02 576643     /usr/lib/libXrender.so.1.3.0
05ce1000-05d62000 r-xp 00000000 08:02 576644     /usr/lib/libcairo.so.2.11.5
05d62000-05d64000 rwxp 00081000 08:02 576644     /usr/lib/libcairo.so.2.11.5
05d66000-05d6f000 r-xp 00000000 08:02 576652     /usr/lib/libXcursor.so.1.0.2
05d6f000-05d70000 rwxp 00008000 08:02 576652     /usr/lib/libXcursor.so.1.0.2
05d72000-05d78000 r-xp 00000000 08:02 576650     /usr/lib/libXrandr.so.2.1.0
05d78000-05d79000 rwxp 00005000 08:02 576650     /usr/lib/libXrandr.so.2.1.0
05d7b000-05d95000 r-xp 00000000 08:02 576654     /usr/lib/libatk-1.0.so.0.1915.1
05d95000-05d97000 rwxp 0001a000 08:02 576654     /usr/lib/libatk-1.0.so.0.1915.1
06367000-0636f000 r-xp 00000000 08:02 576657     /usr/lib/libSM.so.6.0.0
0636f000-06370000 rwxp 00007000 08:02 576657     /usr/lib/libSM.so.6.0.0
06372000-06389000 r-xp 00000000 08:02 131420     /usr/lib/libICE.so.6.3.0
06389000-0638a000 rwxp 00016000 08:02 131420     /usr/lib/libICE.so.6.3.0
0638a000-0638c000 rwxp 0638a000 00:00 0 
08046000-0841c000 r-xp 00000000 08:02 330185     /usr/bin/gimp-2.4
0841c000-08431000 rw-p 003d5000 08:02 330185     /usr/bin/gimp-2.4
08431000-0845b000 rw-p 08431000 00:00 0 
089a9000-09355000 rw-p 089a9000 00:00 0 
b4e21000-b4e23000 rw-p b4e21000 00:00 0 
b4e23000-b4fd5000 r--p 00000000 08:02 81706     
/usr/share/icons/hicolor/icon-theme.cache
b4fd5000-b56cd000 r--p 00000000 08:02 569220    
/usr/share/icons/gnome/icon-theme.cache
b56cd000-b7759000 r--p 00000000 08:02 3687      
/usr/share/icons/Tango/icon-theme.cache
b7759000-b779b000 rw-p b7759000 00:00 0 
b779b000-b7802000 r--p 00000000 08:02 44102     
/usr/share/fonts/dejavu-lgc/DejaVuLGCSans-Oblique.ttf
b7802000-b7809000 rw-p b7802000 00:00 0 
b7809000-b780e000 rw-p b780d000 00:00 0 
b7810000-b78df000 rw-p b7810000 00:00 0 
b78df000-b793f000 rw-s 00000000 00:09 1540113    /SYSV00000000 (deleted)
b793f000-b799f000 rw-s 00000000 00:09 1507344    /SYSV00000000 (deleted)
b799f000-b7a61000 rw-p b799f000 00:00 0 
b7a61000-b7ad1000 r--p 00000000 08:02 44103     
/usr/share/fonts/dejavu-lgc/DejaVuLGCSans.ttf
b7ad1000-b7b41000 rw-p b7ad1000 00:00 0 
b7b41000-b7bad000 r--p 00000000 08:02 492288    
/usr/share/fonts/dejavu-lgc/DejaVuLGCSans-Bold.ttf
b7bad000-b7baf000 r--s 00000000 08:02 375336    
/var/cache/fontconfig/87f5e051180a7a75f16eb6fe7dbd3749-x86.cache-2
b7baf000-b7bb5000 r--s 00000000 08:02 375335    
/var/cache/fontconfig/b79f3aaa7d385a141ab53ec885cc22a8-x86.cache-2
b7bb5000-b7bc1000 r--s 00000000 08:02 375341    
/var/cache/fontconfig/73a61b34dd8ca4d8a159807604ab432f-x86.cache-2
b7bc1000-b7bc4000 r--s 00000000 08:02 375340    
/var/cache/fontconfig/e4307be1e5b40d775f6e65a19e2b9602-x86.cache-2
b7bc4000-b7bc7000 r--s 00000000 08:02 596589    
/var/cache/fontconfig/b67b32625a2bb51b023d3814a918f351-x86.cache-2
b7bc7000-b7bcd000 r--s 00000000 08:02 375338    
/var/cache/fontconfig/71e44b93d92c4d850a6425411914df5e-x86.cache-2
b7bcd000-b7bd3000 r--s 00000000 08:02 375337    
/var/cache/fontconfig/7ddba6133ef499da58de5e8c586d3b75-x86.cache-2
b7bd3000-b7bd5000 r--s 00000000 08:02 375333    
/var/cache/fontconfig/e3ead4b767b8819993a6fa3ae306afa9-x86.cache-2
b7bd5000-b7bdd000 r--s 00000000 08:02 285249    
/var/cache/fontconfig/e19de935dec46bbf3ed114ee4965548a-x86.cache-2
b7bde000-b7c2f000 rw-p b7bde000 00:00 0 
b7c2f000-b7c33000 rw-s 00000000 00:09 1572882    /SYSV00000000 (deleted)
b7c33000-b7d42000 rw-p b7c33000 00:00 0 
b7d42000-b7f42000 r--p 00000000 08:02 6641       /usr/lib/locale/locale-archive
b7f42000-b7f4d000 rw-p b7f42000 00:00 0 
b7f4e000-b7f50000 rw-p b7f4e000 00:00 0 
b7f50000-b7f53000 r--s 00000000 08:02 452791    
/var/cache/fontconfig/d04038e664b0033ae700a78c51f179d3-x86.cache-2
b7f53000-b7f58000 r--s 00000000 08:02 226864    
/var/cache/fontconfig/beeeeb3dfe132a8a0633a017c99ce0c0-x86.cache-2
b7f58000-b7f5f000 r--s 00000000 08:02 30251      /usr/lib/gconv/gconv-modules.cache
b7f5f000-b7f65000 rw-p b7f5f000 00:00 0 
bf9a4000-bf9b9000 rw-p bffea000 00:00 0          [stack]
gimp: terminated: Aborted
Comment 1 Nils Philippsen 2007-09-15 06:00:25 EDT
I can't reproduce this here:

gimp-2.4.0-0.rc2.2.fc8
gtk2-2.12.0-1.fc8 (tried it with your version as well)
libX11-1.1.2-2.fc8
xorg-x11-server-Xorg-1.3.0.0-23.fc8

I've also tried different themes, to no avail. Please try out whether choosing a
different gtk theme makes a difference.
Comment 2 Alexandru Ciobanu 2007-09-15 07:27:39 EDT
I've changed the Gimp theme to Default and everything is working now.
Comment 3 Nils Philippsen 2007-09-17 04:53:34 EDT
I'll change the component to gtk-nodoka-engine. Please check if you get the
problem again when switching back to the Nodoka theme/engine.
Comment 4 Martin Sourada 2007-09-17 05:07:21 EDT
Hi, seems it happening with the Nodoka theme and Small gimp theme. The Default
gimp theme works OK with Nodoka.
Comment 5 Nils Philippsen 2007-09-17 05:37:11 EDT
(In reply to comment #4)
> The Default gimp theme works OK with Nodoka.

Surely you mean "The default gtk theme works OK with GIMP"?

Comment 6 Nils Philippsen 2007-09-17 05:40:12 EDT
(In reply to comment #5)
> Surely you mean "The default gtk theme works OK with GIMP"?

Disregard this, I was blubbering.
Comment 7 Martin Sourada 2007-09-17 06:03:52 EDT
heh, I mean, what I say: I tried clearlooks and nodoka, both work with Default
GIMP theme (can be set in its preferences) for Small GIMP theme GIMP freezes
with Nodoka and works with Clearlooks (in the dialogs mentioned in this bug). I
however won't have enough time to investigate the issue at least until Friday.
Comment 8 Martin Sourada 2007-09-17 07:43:21 EDT
Ok, I did some testing on some more themes (and most notably engines) and seems
that Nodoka is not the only one with the problems. This is the result of my
quick test using the Small GIMP theme:

bluecurve: freeze
clearlooks: ok
murrina: freeze or crash
nodoka: freeze

Now, I am not sure, whether to make the component gimp again (or gtk or
something even different) or whether duplicate this bug for bluecurve and
murrine engines as well... Nils?

Note You need to log in before you can comment on or make changes to this bug.